query Users {
  users {
    id
    email
    name
    permissions
    interests
  }
}

mutation UserSignup($email: String!, $password: String!, $name: String!) {
  userSignup(email: $email, password: $password, name: $name) {
    id
    email
    name
  }
}

mutation UserLogin($email: String!, $password: String!) {
  userLogin(email: $email, password: $password) {
    id
    email
    name
  }
}

mutation UserLogout {
  userLogout
}

query CurrentUser {
  currentUser {
    id
    email
    name
    permissions
    interests
  }
}

mutation RequestReset($email: String!) {
  requestReset(email: $email)
}

mutation ResetPassword($token: String!, $password: String!) {
  resetPassword(token: $token, password: $password) {
    id
    name
  }
}

mutation UserDelete($email: String!) {
  deleteUser(email: $email) {
    id
  }
}

mutation UserUpdate($email: String!, $data: UserUpdateInput!) {
  updateUser(email: $email, data: $data) {
    id
    name
    email
    permissions
    interests
  }
}
